libglom-1.20: Glom::LayoutItem_GroupBy Class Reference

libglom-1.20 1.20.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
Glom::LayoutItem_GroupBy Class Reference

The child items are fields to be shown for each record in the group. More...

Inheritance diagram for Glom::LayoutItem_GroupBy:
[legend]
Collaboration diagram for Glom::LayoutItem_GroupBy:
[legend]

List of all members.

## Public Types
typedef std::pair< sharedptr < const LayoutItem_Field > , bool > | type_pair_sort_field
typedef std::list < type_pair_sort_field > | type_list_sort_fields
## Public Member Functions
| LayoutItem_GroupBy ()
| LayoutItem_GroupBy (const LayoutItem_GroupBy& src)
LayoutItem_GroupBy& | operator= (const LayoutItem_GroupBy& src)
virtual | ~LayoutItem_GroupBy ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
sharedptr< LayoutItem_Field > | get_field_group_by ()
sharedptr< const LayoutItem_Field > | get_field_group_by () const
bool | get_has_field_group_by () const
void | set_field_group_by (const sharedptr< LayoutItem_Field >& field)
type_list_sort_fields | get_fields_sort_by ()
type_list_sort_fields | get_fields_sort_by () const
bool | get_has_fields_sort_by () const
void | set_fields_sort_by (const type_list_sort_fields& field)
virtual Glib::ustring | get_layout_display_name () const
| Get a text representation for the a layout.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
## Public Attributes
sharedptr< LayoutGroup > | m_group_secondary_fields
type_list_sort_fields | m_fields_sort_by

## Detailed Description

The child items are fields to be shown for each record in the group.

field_group_by is the field by which the records are grouped.

## Member Typedef Documentation

typedef std::list<type_pair_sort_field> Glom::LayoutItem_GroupBy::type_list_sort_fields

typedef std::pair< sharedptr<const LayoutItem_Field>, bool > Glom::LayoutItem_GroupBy::type_pair_sort_field

## Constructor & Destructor Documentation

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( |  | ) |

Glom::LayoutItem_GroupBy::LayoutItem_GroupBy | ( | const LayoutItem_GroupBy& | src | ) |

virtual Glom::LayoutItem_GroupBy::~LayoutItem_GroupBy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_GroupBy::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

sharedptr<const LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) | const

sharedptr<LayoutItem_Field> Glom::LayoutItem_GroupBy::get_field_group_by | ( |  | ) |

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) | const

type_list_sort_fields Glom::LayoutItem_GroupBy::get_fields_sort_by | ( |  | ) |

bool Glom::LayoutItem_GroupBy::get_has_field_group_by | ( |  | ) | const

bool Glom::LayoutItem_GroupBy::get_has_fields_sort_by | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_layout_display_name | ( |  | ) | const`[virtual]`

Get a text representation for the a layout.

Reimplemented from Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_part_type_name | ( |  | ) | const`[virtual]`

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_GroupBy::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_GroupBy& Glom::LayoutItem_GroupBy::operator= | ( | const LayoutItem_GroupBy& | src | ) |

void Glom::LayoutItem_GroupBy::set_field_group_by | ( | const sharedptr< LayoutItem_Field >& | field | ) |

void Glom::LayoutItem_GroupBy::set_fields_sort_by | ( | const type_list_sort_fields & | field | ) |

## Member Data Documentation

type_list_sort_fields Glom::LayoutItem_GroupBy::m_fields_sort_by

sharedptr<LayoutGroup> Glom::LayoutItem_GroupBy::m_group_secondary_fields

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_groupby.h